import type { MediatorRdfParseHandle } from '@comunica/bus-rdf-parse';
import { ActorRdfResolveQuadPattern } from '@comunica/bus-rdf-resolve-quad-pattern';
import type { IActionRdfResolveQuadPattern, IActorRdfResolveQuadPatternArgs, IActorRdfResolveQuadPatternOutput, MediatorRdfResolveQuadPattern } from '@comunica/bus-rdf-resolve-quad-pattern';
import type { IActorTest } from '@comunica/core';
/**
 * A comunica RDF Resolve Quad Pattern String Source RDF Resolve Quad Pattern Actor.
 */
export declare class ActorRdfResolveQuadPatternStringSource extends ActorRdfResolveQuadPattern {
    static readonly sourceType = "stringSource";
    private readonly mediatorRdfParse;
    private readonly mediatorRdfResolveQuadPattern;
    constructor(args: IActorRdfResolveQuadPatternStringSource);
    test(action: IActionRdfResolveQuadPattern): Promise<IActorTest>;
    run(action: IActionRdfResolveQuadPattern): Promise<IActorRdfResolveQuadPatternOutput>;
    private isStringSource;
}
export interface IActorRdfResolveQuadPatternStringSource extends IActorRdfResolveQuadPatternArgs {
    /**
     * The quad pattern parser mediator.
     */
    mediatorRdfParse: MediatorRdfParseHandle;
    /**
     * The rdf resolve quad pattern mediator.
     */
    mediatorRdfResolveQuadPattern: MediatorRdfResolveQuadPattern;
}
